Out-of-bounds Read

Affecting perl package, versions <5.24.1-3+deb9u3

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

An issue was discovered in Perl 5.22 through 5.26. Matching a crafted locale dependent regular expression can cause a heap-based buffer over-read and potentially information disclosure.

References

CVSS Score

7.5
high severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    None
  • Availability
    None
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
CVE
CVE-2018-6798
CWE
CWE-125
Snyk ID
SNYK-DEBIAN9-PERL-327690
Disclosed
17 Apr, 2018
Published
17 Apr, 2018